lcdtest: LCD monitor test pattern generator
README
Copyright 2005, 2007 Eric Smith <eric@brouhaha.com>
$Id: README 38 2007-06-05 23:37:28Z eric $


lcdtest is a utility to display LCD monitor test patterns.  It may be
useful for adjusting the pixel clock frequency and phase on LCD
monitors when using analog inputs, and for finding pixels that are
stuck on or off.  lctest uses the SDL library.


Usage:

  lcdtest [options]


Options:

  --help         get list of command keys
  --list-modes   list available video resolutions
  --window       display in a window rather than full screen
  -x <count>     use a video mode with the specified horizontal resolution
  -y <count>     use a video mode with the specified vertical resolution


Operation:

  Upon startup, lcdtest will fill the screen solid red.  Pressing keys on
  the keyboard will change the pattern:

    Change foreground color:
        r:  red
        g:  green
        b:  blue
        w:  white
        k:  black
    
    Change pattern:
        s:  solid fill
        h:  horizontal lines
        v:  vertical lines
        c:  crosshatch
 	x:  diagonal crosshatch
	a:  white vertical lines with two pixel pitch

    arrow keys: move lines in arrow direction

    plus:   increase spacing between lines
    minus:  decrease spacing between lines
    0..9:   select predefined line spacings

    ? or /:  toggle display of help message

    q or Escape: exit program


  The "a" command is specifically intended for use with LCD monitors
  connected via an analog VGA (vs. DVI).  This pattern should work
  well for the monitor auto-setup feature.  Auto-setup may not get the
  frequency and phase adjusted optimally, in which case this pattern is
  also useful for manual adjustment.


Dependencies:

  libSDL:
    http://www.libsdl.org/

  SFont and the 14P_Arial_Plain_Red.png font (included):
    http://www.linux-games.com/sfont/


Incompatible library versions:

  Slava Semushin discovered that some versions of libSDL_image 1.2.5 have
  a bug that can cause lcdtest to crash with a segmentation fault.  The
  bug is fixed in the libsdl Subversion repository:
    http://bugzilla.libsdl.org/show_bug.cgi?id=284


Binary distribution:

  The author only uses lcdtest on Linux, and does not provide
  binaries.  Steven Wills has compiled lcdtest for Windows:
    http://steve.mouf.net/blog/?p=631


Acknowledgements:

  Ian Morgan provided a patch to enable key repeat.
  Valerio Felici provided the manual page.


License:

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 2 as
  published by the Free Software Foundation.  Note that permission is
  not granted to redistribute this program under the terms of any other
  version of the General Public License.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA
